#pragma once

#include "BkResizableDialogST.h"
#include "ResourceServerST.h"
#include "XPStyleButtonST.h"
#include "BlendedButtonST.h"
#include "BlendedStaticST.h"
#include "ThemeHelperST.h"
#include "RegistryST.h"
#include "Icons.h"
#include "Hyperlink.h"

#ifdef	CHECK_ICONSDLL_VERSION
#include "verinfo.h"
#endif

class CGenericBkResizableMFCDlg : public CBkResizableDialogST
{
	public:
	CGenericBkResizableMFCDlg(CWnd* pParent = NULL);

	enum { IDD = IDD_GENERICBKRESIZABLEMFC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);


	protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();

private:
	void OnPostEraseBkgnd(CDC* pDC);
	DWORD LoadIconsDLL(CResourceServerST* pIconsDLL, LPCTSTR lpszReqVersion);
	BOOL NotifyIconsNotFound(LPCTSTR lpszReqVersion);
	BOOL NotifyIconsVersionMismatch(LPCTSTR lpszReqVersion);

	CThemeHelperST		m_Theme;
	CBlendedButtonST	m_btnExit;

	CResourceServerST	m_IconsDLL;
	CRegistryST			m_Registry;
	
	CHyperLink			m_EMailLink;
	CHyperLink			m_HomePageLink;

	CFont				m_fontTitle;
	CBlendedStaticST	m_stcTitle1;
	CBlendedStaticST	m_stcTitle2;

	CButtonST			m_btnButton1;
	CButtonST			m_btnButton2;
	CBlendedButtonST	m_btnButton3;
	CBlendedButtonST	m_btnButton4;

	DECLARE_MESSAGE_MAP()
};
